vga_getxdim(3)

NAME
vga_getxdim, vga_getydim, vga_getcolors - return the current screen resolution

SYNOPSIS
#include <vga.h> int vga_getxdim(void);
int vga_getydim(void);
int vga_getcolors(void);

DESCRIPTION
These function return the currently selected screen resolution resp. number of displayable colors.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vga_setmode(3), vga_getcurrentode(3), vga_getmodeinfo(3), vga_getgraphmem(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extent are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby asked to be excused by the original author and will happily accept any additions or corrections to this first version of the svgalib manual.